RoutesMcp serversServerslugCredentialsToken

/mcp-servers/{serverSlug}/credentials/token

Get API keys or an OAuth access token; refresh the access token if needed and possible; require server authorization again if the token has expired and has no refresh token; use the current user’s credentials when credentialsId is omitted

GET
/mcp-servers/{serverSlug}/credentials/token
AuthorizationBearer <token>

In: header

Path Parameters

serverSlug*string
Length1 <= length

Query Parameters

credentialsId?string

ID of a specific credential to retrieve the token for. If omitted, the effective credentials for the current user are resolved automatically.

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.s.gatana.ai/api/v1/mcp-servers/string/credentials/token"
{
  "type": "oauth",
  "accessToken": "string",
  "expiresAt": 0,
  "apikeys": [
    [
      "string",
      "string"
    ]
  ]
}

Last updated on